$(document).ready(function() {
    //$(".nav ul li").children("ul").hide();
    $(".left_menu_list").find("li").not(":has(ul)").children("a").css({
        textDecoration: "none",
        background: "none"
    }).click(function() {
        $(this).get(0).location.href = "'" + $(this).attr("href") + "'";
    });
    $(".left_menu_list").find("li:has(ul)").children("a").css({
        background: "url(/js/left_menu_list/left_menu_open.gif) 10px center no-repeat"
    }).click(function() {
        if ($(this).next("ul").is(":hidden")) {
            $(this).next("ul").slideDown("slow");
            if ($(this).parent("li").siblings("li").children("ul").is(":visible")) {
                $(this).parent("li").siblings("li").find("ul").slideUp("1000");
                $(this).parent("li").siblings("li:has(ul)").children("a").css({
                    background: "url(/js/left_menu_list/left_menu_close.gif) no-repeat 10px center"
                }).end().find("li:has(ul)").children("a").css({
                    background: "url({/js/left_menu_list/left_menu_open.gif) no-repeat 10px center"
                });
            }
            $(this).css({
                background: "url(/js/left_menu_list/left_menu_close.gif) no-repeat 10px center"
            });
            return false;
        } else {
            $(this).next("ul").slideUp("normal");
            //不用toggle()的原因是为了在收缩菜单的时候同时也将该菜单的下级菜单以后的所有元素都隐藏
            $(this).css({
                background: "url(/js/left_menu_list/left_menu_open.gif) no-repeat 10px center"
            });
            $(this).next("ul").children("li").find("ul").fadeOut("normal");
            $(this).next("ul").find("li:has(ul)").children("a").css({
                background: "url(/js/left_menu_list/left_menu_open.gif) no-repeat 10px center"
            });
            return false;
        }
    });
});